Bug 1169589 - test case 051 071 and 087 of qemu-iotests fail for qcow2 with qemu-kvm-rhev-2.1.2-14.el7
Summary: test case 051 071 and 087 of qemu-iotests fail for qcow2 with qemu-kvm-rhev-2...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-02 03:13 UTC by Sibiao Luo
Modified: 2015-03-05 09:59 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-16.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:59:09 UTC


Attachments (Terms of Use)
qemu-iotests-for-qcow2-detail-results. (5.68 KB, text/plain)
2014-12-02 03:15 UTC, Sibiao Luo
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Comment 1 Sibiao Luo 2014-12-02 03:15:51 UTC
Created attachment 963484 [details]
qemu-iotests-for-qcow2-detail-results.

Comment 2 Sibiao Luo 2014-12-02 03:22:31 UTC
How about the vpc and qed fails, should we need to separate new bug to trace it ? We have delete the qed/vdi/vpc test plan/case from rhel7.1 project. Thanks for your kindly checking.

Best Regards,
sluo

Comment 3 Kevin Wolf 2014-12-02 12:58:50 UTC
The qcow2 failures are all harmless (i.e. incorrect test case). They seem to be
easy to fix, so I'll send a patch to fix the test.

I'm not planning to fix the test cases for qed.

Comment 4 Sibiao Luo 2014-12-05 08:34:55 UTC
(In reply to Kevin Wolf from comment #3)
> The qcow2 failures are all harmless (i.e. incorrect test case). They seem to
> be
> easy to fix, so I'll send a patch to fix the test.
> 
> I'm not planning to fix the test cases for qed.

OK, thanks, qed/vdi/vpc is not in our test plan/case since rhel7.1.

Comment 5 Miroslav Rezanina 2014-12-05 10:12:55 UTC
Fix included in qemu-kvm-rhev-2.1.2-16.el7

Comment 7 Sibiao Luo 2014-12-11 05:30:15 UTC
Verify this issue on qemu-kvm-rhev-2.1.2-16.el7.x86_64 with the same test as comment #0.

host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-212.el7.x86_64
qemu-kvm-rhev-2.1.2-16.el7.x86_64

Results:
Not run: 006 016 045 059 064 070 075 076 077 078 081 083 084 088 092 101
Passed all 79 tests

Base on above, this issue has been fixed correctly, move to VERIFIED status, please correct me if any mistake, thanks.

Best Regards,
sluo

Comment 9 errata-xmlrpc 2015-03-05 09:59:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.